> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order SOS filing document



## OpenAPI

````yaml /openapi/kyb.yaml post /api/v2/sos-filing-documents/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /api/v2/sos-filing-documents/:
    post:
      tags:
        - SOS Reports
      summary: Order SOS filing document
      operationId: apiV2SosFilingDocumentsCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SosReportParameterRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SosReportDocument'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    SosReportParameterRequest:
      type: object
      properties:
        companyName:
          type: string
          minLength: 1
          maxLength: 255
        state:
          $ref: '#/components/schemas/StateEnum'
        city:
          type: string
          minLength: 1
          maxLength: 100
        street:
          type: string
          minLength: 1
          maxLength: 255
        postalCode:
          type: string
          minLength: 1
          pattern: ^\d{5}$
          maxLength: 10
      required:
        - city
        - companyName
        - postalCode
        - state
        - street
    SosReportDocument:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        checkedAt:
          type: string
          format: date-time
          nullable: true
        status:
          $ref: '#/components/schemas/GovDocumentOrderStatusEnum'
        dataFile:
          type: string
          format: uri
          nullable: true
          pattern: (?:json)$
        reportFile:
          type: string
          format: uri
          nullable: true
          pattern: (?:pdf)$
        companyName:
          type: string
          nullable: true
          maxLength: 100
        formationDate:
          type: string
          format: date
          nullable: true
        entityType:
          allOf:
            - $ref: '#/components/schemas/SosEntityTypeEnum'
          nullable: true
        watchlistHitsCount:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
      required:
        - id
    StateEnum:
      enum:
        - AK
        - AL
        - AR
        - AZ
        - CA
        - CO
        - CT
        - DE
        - FL
        - GA
        - HI
        - IA
        - ID
        - IL
        - IN
        - KS
        - KY
        - LA
        - MA
        - MD
        - ME
        - MI
        - MN
        - MO
        - MS
        - MT
        - NC
        - ND
        - NE
        - NH
        - NJ
        - NM
        - NV
        - NY
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VA
        - VT
        - WA
        - WI
        - WV
        - WY
      type: string
    GovDocumentOrderStatusEnum:
      enum:
        - NOT_ORDERED
        - IN_PROGRESS
        - FINISHED
        - FAILED
        - TIMED_OUT
      type: string
    SosEntityTypeEnum:
      enum:
        - CORPORATION
        - LLC
        - PARTNERSHIP
        - NON_PROFIT
        - TRUST
        - SOLE_PROPRIETORSHIP
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````